API ReferenceVideos APISora
Sora · Get Video Task Status
Query Sora video generation progress by task ID to get the status and failure reason
Last updated:
Videos — Veo (OpenAI-compatible)
GET /videos/{task_id}
Authentication
Store your API key in AICENTOS_API_KEY; the shell examples expand it in the Authorization: Bearer header.
The API Key obtained under "Token Management" in the console
Location: header
Path Parameters
task_id*string
Response Body
application/json
export AICENTOS_API_KEY="sk-your-aicentos-api-key"
curl -X GET "https://aicentos.com/v1/videos/string" \
-H "Authorization: Bearer $AICENTOS_API_KEY"{
"id": "string",
"task_id": "string",
"status": "queued",
"progress": 0,
"url": "string",
"error": "string"
}